CREATE procedure [C6StagingPeriodico].[RP_ST_MonitoraggioStorico_pre_selective]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_MonitoraggioStorico_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_MonitoraggioStorico
	INSERT INTO [C6StagingPeriodico].[RP_MonitoraggioStorico]
   	SELECT
		idMonitoraggio,	
		chiaveClientePB,	
		dtAvvio,
		ctvExt,
		ctvInv,
		ctvRis,
		ctvLiq,
		ctvPre,
		ctvNa,
		ctvCC,
		partiteViaggianti,
		[var],
		copertura,
		rischioCredito,
		codiceProfilo,
		stato,
		dtSalvataggio,
		classe_rischio_max,
		var_max_profilo,
		ctvself
		--null AS ctvself
	FROM [CONSUNI_PERIODICO].consulenzaUnica.dbo.MonitoraggioStorico
    -- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_MonitoraggioStorico_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_MonitoraggioStorico_pre_selective'
		)
END